
-------------------------------------------------------------------------------
-- Optimization
-------------------------------------------------------------------------------

-- GLOBALS: MinimapCluster, PlaySound, SOUNDKIT, ToggleDropDownMenu

-------------------------------------------------------------------------------
-- Namespace
-------------------------------------------------------------------------------

local A, B, C, D = unpack(SixUI) -- AddOn, Border, Constants, Database
local M = A:NewModule("Display Tracking")
local O = LibStub("LibDataBroker-1.1"):NewDataObject("SixUI Tracking", {
	type = "launcher",
	text = "",
	label = "Tracking",
	glyph = C.Enum.Glyph.Search,
})

-------------------------------------------------------------------------------
-- DataObject
-------------------------------------------------------------------------------

function O.OnClick(frame, button)
	ToggleDropDownMenu(1, nil, MinimapCluster.Tracking.DropDown, frame, 0, 0)
	PlaySound(SOUNDKIT.IG_MAINMENU_OPTION_CHECKBOX_ON)
end

function O.OnTooltipShow(tooltip)
	tooltip:AddLine(O.label)
end
